Name: H5Tget_tag
Signature:
  char *`H5Tget_tag`(hid_t `type_id` )
Purpose:
  Gets the tag associated with an opaque datatype.
Description:
  `H5Tget_tag` returns the tag associated with the opaque datatype `type_id`.

  The tag is returned via a pointer to an allocated string, which the caller must free.

Parameters:

hid_t `type_id` | Datatype identifier for the opaque datatype.

Returns:
  Returns a pointer to an allocated string if successful; otherwise returns `NULL`.
Fortran90 Interface: h5tget_tag_f

      SUBROUTINE h5tget_tag_f(type_id, tag,taglen, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Datatype identifier
        CHARACTER(LEN=*), INTENT(OUT) :: tag   ! Unique ASCII string with which the
                                               ! opaque datatype is to be tagged
        INTEGER, INTENT(OUT) :: taglen         ! Length of tag
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5tget_tag_f